Subject: Re: Git in GSoC 2025

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 31 Jan 2025 05:48:45 +0100

On Thu, Jan 30, 2025 at 11:18:44AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> >     It is the responsibility of the owner of the topic to determine
> >     whether it is still accurate. This check should happen close to the
> >     noted best-before date and come in the form of a patch that either
> >     bumps the date in case it _is_ accurate, or alternatively removes
> >     the topic from the list in case it is _not_ accurate anymore.
> >
> >     In case the topic owner does not send such a patch, contributors
> >     other than the owner are encouraged to send a patch that removes the
> >     topic, putting the owner into Cc.
> >
> > Well... maybe it _is_ an expiration date. I dunno, I don't mind which
> > exact term we use for it.
> 
> I do not mind either word, either, but I have two small issues to
> raise:
> 
>  - Is each topic "owned" by some specific person?  Would an owner
>    retires from the project, would the leftover bits go away with
>    the owner?

Good point. "Owner" to me rather indicates who is the primary contact
for a specific topic. It doesn't mean that nobody else is allowed to
contribute to it, and neither does it say that the person has any kind
of authority over it. So if that person doesn't care about the topic
anymore due to whatever reason it's also fair to change the primary
contact to somebody else.

>  - "relevant" may be a more appropriate adjective than "accurate".
>    An item in the list may still accurately expresses somebody's
>    wish, but because a better alternative has been implemented in
>    the meantime, the feature-wish may no longer relevant.

Agreed.

> >>   - Fix Sign Comparison Warnings in Git's Codebase
> 
> This one I am not sure if it is even something we want more of; a
> careless "-Wsign-compare" squelching often makes the resulting code
> worse.

That's a fair remark indeed. We could add it, but add a warning that
these refactorings are non-trivial?

Patrick